function [DefFontSizeVec] = ReadPlot2dDefFontSizeVec
%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      
%================================================================================	
DefFontSizeFilePath=which(['Plot2d3dFontSize.',computer]);
Fid=fopen(DefFontSizeFilePath,'r','b');
Ind=1; NDefFontSizeVec=0;
if Fid~=-1
    [TmpMat,Count]=fscanf(Fid,'%s',2);
    while Count~=0
        Ind=Ind+1;
        [Tmp,Count]=fscanf(Fid,'%s',2);
        TmpMat=char(TmpMat,Tmp);
    end
    Ind=Ind-1;
    fclose(Fid);
    for i=1:Ind
        k=findstr(TmpMat(i,:),'%');
        DefFontSizeVec(i)=eval(['[' TmpMat(i,1:k-1) ']'],'-1')';
    end
    NDefFontSizeVec=length(DefFontSizeVec);
end
if Fid==-1 | NDefFontSizeVec~=6
    DefFontSizeVec=[10 10 10 10 10 10];
end
return;